Bug 1132669 - [GSS] (6.3.2) Expect acks cause NIO BufferOverflows
Summary: [GSS] (6.3.2) Expect acks cause NIO BufferOverflows
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: EAP 6.3.0
Assignee: Rémy Maucherat
QA Contact: Radim Hatlapatka
Russell Dickenson
URL:
Whiteboard:
Depends On: 1132674
Blocks: 1133057
TreeView+ depends on / blocked
 
Reported: 2014-08-21 19:25 UTC by Aaron Ogburn
Modified: 2018-12-06 17:50 UTC (History)
1 user (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1132674 (view as bug list)
Environment:
Last Closed: 2014-08-22 19:37:43 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBWEB-302 Major Resolved org.apache.coyote.http11.Http11NioProtocol fails when using 100-continue header 2016-12-06 22:07:19 UTC
Red Hat Bugzilla 1133061 None None None Never

Internal Links: 1133061

Description Aaron Ogburn 2014-08-21 19:25:39 UTC
Description of problem:

All requests with an Expect:100-continue header fail on NIO with a BufferOverflow

Version-Release number of selected component (if applicable):

EAP 6.3.0


How reproducible:

Very


Steps to Reproduce:
1. Deploy app (basic jsp/html page is fine) and configure NIO http connector
2. Make a request to the app with an expect header

curl -H Expect:100-continue http://localhost:8080/deployedapp/simplepage

Actual results:

Request fails from BufferOverflow.

ERROR [org.apache.catalina.connector] (http-localhost/127.0.0.1:8080-60) JBWEB001018: An exception or error occurred in the container during the request processing: java.nio.BufferOverflowException
at java.nio.DirectByteBuffer.put(DirectByteBuffer.java:357) [rt.jar:1.7.0_25]
at org.apache.coyote.http11.AbstractInternalOutputBuffer.commit(AbstractInternalOutputBuffer.java:471) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
at org.apache.coyote.http11.Http11NioProcessor.commit(Http11NioProcessor.java:477) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
at org.apache.coyote.http11.Http11NioProcessor.action(Http11NioProcessor.java:795) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
at org.apache.coyote.Response.action(Response.java:190) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
at org.apache.coyote.Response.sendHeaders(Response.java:390) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
at org.apache.catalina.connector.OutputBuffer.doFlush(OutputBuffer.java:335) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
at org.apache.catalina.connector.OutputBuffer.close(OutputBuffer.java:301) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
at org.apache.catalina.connector.Response.finishResponse(Response.java:475) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:363) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
at org.apache.coyote.http11.Http11NioProcessor.process(Http11NioProcessor.java:350) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
at org.apache.coyote.http11.Http11NioProtocol$Http11ConnectionHandler.process(Http11NioProtocol.java:902) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
at org.apache.tomcat.util.net.NioEndpoint$ChannelProcessor.run(NioEndpoint.java:1031) [jbossweb-7.2.2.Final-redhat-1.jar:7.2.2.Final-redhat-1]
at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [rt.jar:1.7.0_25]
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [rt.jar:1.7.0_25]
at java.lang.Thread.run(Thread.java:724) [rt.jar:1.7.0_25]

Expected results:

Request doesn't fail


Additional info:

Comment 2 Aaron Ogburn 2014-08-22 19:37:43 UTC
Actually fixed by GTNPORTAL-3435

Comment 3 JBoss JIRA Server 2014-09-08 07:49:50 UTC
Remy Maucherat <rmaucher@redhat.com> updated the status of jira JBWEB-302 to Resolved


Note You need to log in before you can comment on or make changes to this bug.